package com.meeting.demo.model;

import com.huawei.hwmconf.sdk.model.conf.entity.HWMCustomSubViewModel.HWMCustomSubViewAttachType;
import com.huawei.hwmconf.sdk.model.conf.entity.HWMCustomSubViewPosition;

public class CustomSubViewModel {

    // 是否显示
    private boolean isOpen;

    // 是否支持拖拽
    private boolean isEnableDrag;

    // 是否自动贴边
    private boolean isEnableAttach;

    // 是否跟随会控栏显隐
    private boolean isShowFollowConfCtrlBar;

    // 贴边方式
    private HWMCustomSubViewAttachType attachType;

    private HWMCustomSubViewPosition hwmCustomSubViewPosition;


    public boolean isOpen() {
        return isOpen;
    }

    public void setOpen(boolean open) {
        isOpen = open;
    }

    public boolean isEnableDrag() {
        return isEnableDrag;
    }

    public void setEnableDrag(boolean enableDrag) {
        isEnableDrag = enableDrag;
    }

    public boolean isEnableAttach() {
        return isEnableAttach;
    }

    public void setEnableAttach(boolean enableAttach) {
        isEnableAttach = enableAttach;
    }

    public boolean isShowFollowConfCtrlBar() {
        return isShowFollowConfCtrlBar;
    }

    public void setShowFollowConfCtrlBar(boolean showFollowConfCtrlBar) {
        isShowFollowConfCtrlBar = showFollowConfCtrlBar;
    }

    public HWMCustomSubViewAttachType getAttachType() {
        return attachType;
    }

    public void setAttachType(HWMCustomSubViewAttachType attachType) {
        this.attachType = attachType;
    }

    public HWMCustomSubViewPosition getHwmCustomSubViewPosition() {
        return hwmCustomSubViewPosition;
    }

    public void setHwmCustomSubViewPosition(HWMCustomSubViewPosition hwmCustomSubViewPosition) {
        this.hwmCustomSubViewPosition = hwmCustomSubViewPosition;
    }
}
